Subject: bug#24857: emacs24/25 FTBFS since a long time on GNU/Hurd

From: Svante Signell <[email-masked]>
Date: Fri, 02 Dec 2016 11:35:49 +0100

On Wed, 2016-11-02 at 16:51 +0100, Svante Signell wrote:
> On Wed, 2016-11-02 at 17:39 +0200, Eli Zaretskii wrote:
> > > 
> > > From: Svante Signell <[email-masked]>
> > > Date: Wed, 02 Nov 2016 15:16:54 +0100
> > > 
> > > First time I compiled emacs 25.1 from upstream it passed, second time not.
> > > Compiling Debian versions almost always fail. Moslty the build fails with
> > > temacs
> > > failing to execute: Killed. In my opionion it's a real loss not to gave a
> > > modern
> > > version of emacs25 available for use in GNU/Hurd (not everybody use vi).
> > > 
> > > Do anybody of you have an idea on how to solve this problem?
> > My suggestion is to run the failing temacs command line under GDB and
> > see where it crashes.
> 
> Hi, attached is a traceback from gdb. Edited to remove thousands of loops, as
> indicated in that file.

<follow ups to the bug #24857 showed an inability to allocate memory>

> > The best way to communicate this information is to file a bug report,
> > using "M-x report-emacs-bug RET" (in some version of Emacs you have
> > that is operable; if not, just email the details to
> > [email-masked]).
> 
> A bug was already filed by
> Paul Eggert, https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24857

Hi, again. Irrespective of the discussion ongoing of a C or Lisp implementation
of dump, I'd like to try the patch supplied by Daniel Colascione. Does it still
apply without problems to the main repo git://git.sv.gnu.org/emacs.git?